Browse Source

Stop abusing $RET in generators/50mirror for things other than debconf.

r60920
tags/0.43
Colin Watson 12 years ago
parent
commit
aa2f7ec5e5
2 changed files with 7 additions and 6 deletions
  1. +1
    -0
      debian/changelog
  2. +6
    -6
      generators/50mirror

+ 1
- 0
debian/changelog View File

@@ -2,6 +2,7 @@ apt-setup (1:0.43) UNRELEASED; urgency=low

[ Colin Watson ]
* Upgrade to debhelper v7.
* Stop abusing $RET in generators/50mirror for things other than debconf.

[ Chris Lamb ]
* Use cdrom-detect/cdrom_fs when remounting the CD to ensure that we do so


+ 6
- 6
generators/50mirror View File

@@ -112,11 +112,11 @@ if [ -e /cdrom/.disk/base_installable ]; then
fi

while true; do
RET=0
choose-mirror -n || RET=$? # no progress bar
if [ $RET -eq 0 ]; then
CODE=0
choose-mirror -n || CODE=$? # no progress bar
if [ $CODE -eq 0 ]; then
break
elif [ $RET -eq 10 ]; then
elif [ $CODE -eq 10 ]; then
# User backed out of choose-mirror
db_input critical apt-setup/no_mirror
db_go || exit 10
@@ -126,8 +126,8 @@ if [ -e /cdrom/.disk/base_installable ]; then
exit 1
fi
else
logger -t apt-setup "choose-mirror failed with error code $RET"
exit $RET
logger -t apt-setup "choose-mirror failed with error code $CODE"
exit $CODE
fi
done
fi


Loading…
Cancel
Save